from flask import Flask, render_template, request, redirect, url_for

app = Flask(__name__)

zoo = [
    { 'name' : 'Kanin',
      'info' : 'Stora öron' },
    { 'name' : 'Zebra',
      'info' : 'Randig' },
    { 'name' : 'Tiger',
      'info' : 'Bits' }
]

@app.route("/")
def index():
    return render_template("index.html")

@app.route("/comic")
def comic():
    return render_template("comic.html")

@app.route("/zoo")
def animals():
    global zoo
    return render_template("zoo.html", animals=zoo)

#@app.route("/get_animals")
#def get():
#    return json.dumps(zoo)

@app.route("/add_animal", methods=["POST"])
def add_animal():
    global zoo
    zoo.append({ 'name' : request.form["animal"],
                 'info' : request.form["info"]})
    return redirect(url_for("animals"))

@app.route("/animal/<int:animal_id>")
def animal(animal_id):
    global zoo, info
    return render_template("zoo_info.html", animal=zoo[animal_id])

if __name__ == "__main__":
    app.run(debug=True)
